org.apache.fop.fo

## Class ElementMapping

- java.lang.Object
- - org.apache.fop.fo.ElementMapping

Direct Known Subclasses:
  AFPElementMapping, BatikExtensionElementMapping, ExtensionElementMapping, FOElementMapping, InternalElementMapping, OldExtensionElementMapping, PCLElementMapping, PDFElementMapping, PSExtensionElementMapping, RDFElementMapping, SVGElementMapping, XMPElementMapping

    public abstract class ElementMapping
    extends Object

Abstract base class for Element Mappings (including FO Element Mappings) which provide the framework of valid elements and attributes for a given namespace.

### Nested Class Summary

Nested Classes
`static class` `ElementMapping.Maker` Base class for all Makers.

### Field Summary

Fields
`static String` `DEFAULT` constant for defining the default value
`protected HashMap<String,ElementMapping.Maker>` `foObjs` The HashMap table of formatting objects defined by the ElementMapping
`protected String` `namespaceURI` The namespace for the ElementMapping

### Constructor Summary

Constructors
Constructor and Description
`ElementMapping()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static DOMImplementation` `getDefaultDOMImplementation()`
`DOMImplementation` `getDOMImplementation()` Returns the DOMImplementation used by this ElementMapping.
`String` `getNamespaceURI()` Returns the namespace URI for this element mapping
`String` `getStandardPrefix()`
`HashMap<String,ElementMapping.Maker>` `getTable()` Returns a HashMap of maker objects for this element mapping
`protected abstract void` `initialize()` Initializes the set of maker objects associated with this ElementMapping
`boolean` `isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)` Indicates whether a particular attribute of the namespace is a property, i.e.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final String DEFAULT

constant for defining the default value

See Also:
  Constant Field Values

#### foObjs

    protected HashMap<String,ElementMapping.Maker> foObjs

The HashMap table of formatting objects defined by the ElementMapping

#### namespaceURI

    protected String namespaceURI

The namespace for the ElementMapping

### Constructor Detail

#### ElementMapping

    public ElementMapping()

### Method Detail

#### getTable

    public HashMap<String,ElementMapping.Maker> getTable()

Returns a HashMap of maker objects for this element mapping

Returns:
  Table of Maker objects for this ElementMapping

#### getNamespaceURI

    public String getNamespaceURI()

Returns the namespace URI for this element mapping

Returns:
  Namespace URI for this element mapping

#### getDOMImplementation

    public DOMImplementation getDOMImplementation()

Returns the DOMImplementation used by this ElementMapping. The value returned may be null for cases where no DOM is used to represent the element tree (XSL-FO, for example). This method is used by the intermediate format to instantiate the right kind of DOM document for foreign objects. For example, SVG handled through Apache Batik has to use a special DOMImplementation.

Returns:
  the DOMImplementation used by this ElementMapping, may be null

#### getDefaultDOMImplementation

    public static DOMImplementation getDefaultDOMImplementation()

Returns:
  the default DOMImplementation when no specialized DOM is necessary.

#### getStandardPrefix

    public String getStandardPrefix()

Returns:
  the standard namespace prefix for this namespace or null if it is not known.

#### isAttributeProperty

    public boolean isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)

Indicates whether a particular attribute of the namespace is a property, i.e. the attribute value should be converted to a property value.

Parameters:
  `attributeName` - the attribute name
Returns:
  true if the attribute should be converted to a property

#### initialize

    protected abstract void initialize()

Initializes the set of maker objects associated with this ElementMapping